Support:

0800 007 3060


Sales:

0800 007 3050


Main:

0800 007 3040

Adobe has pre-announced plans to release cross-platform security updates for Adobe Reader and Acrobat next Tuesday (12 May).

Windows and Mac versions of Adobe Reader XI (11.0.10, 10.1.13) as well as Adobe Acrobat XI (11.0.10, 10.1.13) will all need patching against (unspecified) critical vulnerabilities in the software. Adobe assigned these security bugs at a severity rating as “2”, one step down from its most severe rating.

For customers with our Business-PRO Support plan with the Patch and Security update feature, fear not these patches will automatically be applied to your systems as soon as they are available.

If you have any questions or concerns about the vulnerability of Adobe Acrobat or would like to benefit from having software patches from Microsoft, Adobe, Apple, Mozilla and more automatically pushed to your workstations please call us on 0844 880 0015.

Share Via: